while true; do
  read -p "Do you want to link home folders with external storage? y/N: " storageChoice
  storageChoice=$(echo "$storageChoice" | tr '[:upper:]' '[:lower:]')

  sudo rm -rf ~/Public ~/Templates

  if [ "$storageChoice" = "y" ]; then
    read -p "Specify the path to the external storage device (full path must be used): " storagePath

    sudo rm -rf ~/Documents ~/Pictures ~/Downloads ~/Videos ~/Music

    ln -s "$storagePath/Pictures/" ~/
    ln -s "$storagePath/Repos/" ~/
    ln -s "$storagePath/Documents/" ~/
    ln -s "$storagePath/Downloads/" ~/
    ln -s "$storagePath/Videos/" ~/
    ln -s "$storagePath/Music/" ~/

    break
  elif [ "$storageChoice" = "n" ]; then
    echo "Skipping sym linking..."
    cp -r ./Repos ~
    break
  else
    echo "Invalid input. Please enter y or n."
  fi
done
